# scruff: Single Cell RNA-Seq UMI Filtering Facilitator

**scruff** (**S**ingle **C**ell **R**NA-Seq **U**MI **F**iltering **F**acilitator) is a package for processing single cell RNA-seq (scRNA-seq) FASTQ reads generated by CEL-Seq and CEL-Seq2 protocols. It demultiplexes scRNA-seq FASTQ files, aligns reads to reference genome using Rsubread, and generates UMI filtered count matrix.

## Installation Instructions

To install `scruff` using `devtools`:
```
library(devtools)
install_github("compbiomed/scruff")
```

## Package User Guide

An introduction to `scruff` package is available within the package as a vignette which can be opened via running 
```
vignette("scruff")
```
## Example QC plots

The following figures are generated using data from [(Van den Brink et al. 2017)](https://www.nature.com/articles/nmeth.4437) and **scruff** package.

![scruff total_reads](https://github.com/compbiomed/scruff/raw/master/data-raw/figure/20180907_vdb_newplots_ercc_edit_Page_01.png)

![scruff aligned_reads](https://github.com/compbiomed/scruff/raw/master/data-raw/figure/20180907_vdb_newplots_ercc_edit_Page_02.png)

![scruff gene_reads](https://github.com/compbiomed/scruff/raw/master/data-raw/figure/20180907_vdb_newplots_ercc_edit_Page_03.png)

![scruff aligned_reads_fraction](https://github.com/compbiomed/scruff/raw/master/data-raw/figure/20180907_vdb_newplots_ercc_edit_Page_04.png)

![scruff gene_reads_fraction_out_of_aligned_reads](https://github.com/compbiomed/scruff/raw/master/data-raw/figure/20180907_vdb_newplots_ercc_edit_Page_05.png)

![scruff gene_reads_fraction_out_of_total_reads](https://github.com/compbiomed/scruff/raw/master/data-raw/figure/20180907_vdb_newplots_ercc_edit_Page_06.png)

![scruff transcripts](https://github.com/compbiomed/scruff/raw/master/data-raw/figure/20180907_vdb_newplots_ercc_edit_Page_07.png)

![scruff mt_transcripts](https://github.com/compbiomed/scruff/raw/master/data-raw/figure/20180907_vdb_newplots_ercc_edit_Page_08.png)

![scruff mt_transcripts_fraction](https://github.com/compbiomed/scruff/raw/master/data-raw/figure/20180907_vdb_newplots_ercc_edit_Page_09.png)

![scruff genes](https://github.com/compbiomed/scruff/raw/master/data-raw/figure/20180907_vdb_newplots_ercc_edit_Page_10.png)

![scruff protein_coding_genes_fraction](https://github.com/compbiomed/scruff/raw/master/data-raw/figure/20180907_vdb_newplots_ercc_edit_Page_11.png)

![scruff protein_coding_transcripts_fraction](https://github.com/compbiomed/scruff/raw/master/data-raw/figure/20180907_vdb_newplots_ercc_edit_Page_12.png)

![scruff detection_power](https://github.com/compbiomed/scruff/raw/master/data-raw/figure/20180907_vdb_newplots_ercc_edit_Page_13.png)
